select * from fin_factuur.


/* Formatted on 8/9/2013 9:49:18 AM (QP5 v5.136.908.31019) */
CREATE OR REPLACE VIEW aads_v_rap_invoice_scan
(
   fclt_d_factuurdatum,
   totaal,
   geimporteerd,
   excel,
   scanning
)
AS
     SELECT TO_CHAR (fin_factuur_datum, 'dd-mm-yyyy'),
            SUM (aantal),
            SUM (impscan),
            SUM (upload),
            SUM (invoice)
       FROM (SELECT f.fin_factuur_key,
                    fin_factuur_datum,
                    DECODE (
                       COALESCE (INSTR (k.fin_kenmerkfactuur_waarde, 'upload'),
                                 0),
                       0,
                       0,
                       1)
                       upload,
                    DECODE (
                       COALESCE (
                          INSTR (k.fin_kenmerkfactuur_waarde, 'invoice_'),
                          0),
                       0,
                       0,
                       1)
                       invoice,
                    DECODE (SUBSTR (fac_tracking_oms, 1, 7), 'Factuur', 1, 0)
                       impscan,
                    1 aantal
               FROM fin_factuur f,
                    (SELECT *
                       FROM fin_kenmerkfactuur
                      WHERE fin_kenmerk_key = 21) k,
                    (SELECT *
                       FROM fac_tracking
                      WHERE fac_srtnotificatie_key = 141) t
              WHERE f.fin_factuur_verwijder IS NULL
                AND f.fin_factuur_key = t.fac_tracking_refkey(+)
                AND f.fin_factuur_key = k.fin_factuur_key(+))
   GROUP BY TO_CHAR (fin_factuur_datum, 'dd-mm-yyyy')


select f.fin_factuur_key, t.fac_tracking_datum, decode(substr(fac_tracking_oms, 1, 7), 'Factuur', 1, 0) impscan, 1 aantal 
, t.*
from fin_factuur f, 
     (select * from fac_tracking where fac_srtnotificatie_key = 141) t
where f.fin_factuur_key = t.fac_tracking_refkey (+)


select * from _imp_factuur

select * from fac_import where fac_import_app_key = 221

select * from fac_import_app

select * from imp_log l, fac_import i where 
l.fac_import_key = i.fac_import_key 
and i.fac_import_app_key = 221

select * from fin_kenmerk

select * from fin_kenmerkfactuur where fin_kenmerk_key = 21

select instr('myxskdfjdsjf', 'my') from dual


SELECT f.fin_factuur_key,
                 fin_factuur_datum,
                 DECODE (
                    COALESCE (INSTR (k.fin_kenmerkfactuur_waarde, 'upload'), 0),
                    0,
                    0,
                    1)
                    upload,
                 DECODE (
                    COALESCE (INSTR (k.fin_kenmerkfactuur_waarde, 'invoice_'),
                              0),
                    0,
                    0,
                    1)
                    invoice,
                 DECODE (SUBSTR (fac_tracking_oms, 1, 7), 'Factuur', 1, 0)
                    impscan,
                 1 aantal, fin_kenmerkfactuur_waarde
            FROM fin_factuur f,
                 (SELECT *
                    FROM fin_kenmerkfactuur
                   WHERE fin_kenmerk_key = 21) k,
                 (SELECT *
                    FROM fac_tracking
                   WHERE fac_srtnotificatie_key = 141) t
           WHERE f.fin_factuur_key = t.fac_tracking_refkey(+)
             AND f.fin_factuur_key = k.fin_factuur_key(+)
             and to_char(fin_factuur_datum, 'yyyymmdd') = '20130710'
             
             
             SELECT TO_CHAR (fac_tracking_datum, 'dd-mm-yyyy'),
         SUM (aantal),
         SUM (impscan),
         SUM (upload),
         SUM (invoice)
    FROM (SELECT f.fin_factuur_key,
                 t.fac_tracking_datum,
                 DECODE (
                    COALESCE (INSTR (k.fin_kenmerkfactuur_waarde, 'upload'), 0),
                    0,
                    0,
                    1)
                    upload,
                 DECODE (
                    COALESCE (INSTR (k.fin_kenmerkfactuur_waarde, 'invoice_'),
                              0),
                    0,
                    0,
                    1)
                    invoice,
                 DECODE (SUBSTR (fac_tracking_oms, 1, 7), 'Factuur', 1, 0)
                    impscan,
                 1 aantal
            FROM fin_factuur f,
                 (SELECT *
                    FROM fin_kenmerkfactuur
                   WHERE fin_kenmerk_key = 21) k,
                 (SELECT *
                    FROM fac_tracking
                   WHERE fac_srtnotificatie_key = 141) t
           WHERE f.fin_factuur_key = t.fac_tracking_refkey(+)
             AND f.fin_factuur_key = k.fin_factuur_key(+))
GROUP BY TO_CHAR (fac_tracking_datum, 'dd-mm-yyyy')



select f.prs_perslid_key_user, count(f.prs_perslid_key_user) from fin_factuur f, prs_v_perslid_fullnames pf
where pf.prs_perslid_key(+) = f.prs_perslid_key_user
group by f.prs_perslid_key_user


select count(*) from fin_factuur where prs_perslid_key_user is null

select * from fin_factuur where prs_perslid_key_user is null

select * from fac_imp_factuur

update fac_tracking t set prs_perslid_key = 
where exists  (
select fac_tracking_key from fac_imp_factuur i, fac_srtnotificatie sn
where i.fin_factuur_key = t.fac_tracking_refkey
and t.fac_srtnotificatie_key = sn.fac_srtnotificatie_key
and sn.fac_srtnotificatie_code = 'FINNEW')

insert into prs_perslid (prs_perslid_key, prs_perslid_module, prs_srtperslid_key, prs_afdeling_key, prs_perslid_naam, prs_perslid_oslogin, prs_perslid_dienstverband)

select 9, prs_perslid_module, prs_srtperslid_key, prs_afdeling_key, 'XTractor',  '_XTRACTOR', prs_perslid_dienstverband FROM prs_perslid where prs_perslid_oslogin = '_FACILITOR'

 select * from prs_perslid where prs_perslid_oslogin = '_FACILITOR'

